adinstbpm - Milestone #20350

IOTA BPM deployment
07/18/2018 02:04 PM - John Diamond

Status: New Start date: 04/09/2018
Priority: Normal Due date:

Assignee: % Done: 46%
Category: Estimated time: 0.00 hour
Target version: Spent time: 87.45 hours
Description

Subtasks:

Milestone # 19607: IOTA ACNET Interface
Task # 19608: Crate status and control device
Task # 20520: IOTA BPM TBT Array Device
Task # 20521: IOTA BPM Raw Array Device
Task # 20522: ACNET device for Arming IOTA BPMs
Task # 20663: Separate IOTA ACNET code from BoosterBPMACNET.C and BoosterCrateACNET.C
Task # 20664: Orbit structure device for IOTA BPMs
Feature # 20351: Support for 4-channel 2-dimensional BPMs
Task # 20352: Startup despite missing timing module
Task # 20353: Adapter for NML timing module
Task # 20354: Adapter for IOTA DAQ module
Milestone # 20355: Deploy IOTA BPM hardware
Task # 20356: Request ethernet connection for crate and CPU
Task # 20357: Configure SSH
Task # 20358: Request ACNET node assignment
Task # 20377: IOTA State Machine
Task # 20409: Failure state for DAQSystem
Task # 20437: Functional specification document
Bug # 20450: The number of samples argument to bpmcli dump does not respect multiple bu...
Bug # 20473: Control message queue is not destroyed on shutdown
Task # 20474: Enter BPMs into bpmd.conf
Task # 20483: Create separate "stable" branches for Booster and IOTA BPMs
Task # 20551: BPM-level delay configuration
Task # 20665: Support multiple sets of coefficients for 2-D fits
Task # 20666: TCLK-driven arm and TBT readout for IOTA
History

#1 - 07/18/2018 02:05 PM - John Diamond
- Due date set to 07/18/2018

due to changes in a related task: #20351

#2 - 07/18/2018 02:18 PM - John Diamond
- Due date set to 07/18/2018

due to changes in a related task: #20352

#3 - 07/18/2018 02:19 PM - John Diamond
- Due date set to 07/18/2018

04/26/2021
https://cdcvs.fnal.gov/redmine/issues/20351
https://cdcvs.fnal.gov/redmine/issues/20352

due to changes in a related task: #20353

#4 - 07/18/2018 02:19 PM - John Diamond
- Due date set to 07/18/2018

due to changes in a related task: #20354

#5 - 07/18/2018 02:47 PM - John Diamond
- Due date set to 07/18/2018

due to changes in a related task: #20355

#6 - 07/18/2018 02:48 PM - John Diamond
- Due date set to 07/18/2018

due to changes in a related task: #20356

#7 - 07/18/2018 02:52 PM - John Diamond
- Due date set to 07/18/2018

due to changes in a related task: #20355

#8 - 07/18/2018 02:52 PM - John Diamond
- Due date set to 07/18/2018

due to changes in a related task: #20355

#9 - 07/19/2018 09:12 PM - John Diamond
- Due date set to 07/19/2018

due to changes in a related task: #20377

#10 - 07/20/2018 11:12 AM - John Diamond

Created a startup script for iotabp in /fecode-bd/iotabp called test-start.sh.

#11 - 07/23/2018 02:23 PM - John Diamond
- Due date set to 07/23/2018

due to changes in a related task: #20409

#12 - 07/24/2018 04:13 PM - John Diamond
- Due date set to 07/24/2018

due to changes in a related task: #20437

#13 - 07/27/2018 09:01 PM - John Diamond
- Due date set to 07/27/2018

due to changes in a related task: #20473

#14 - 07/27/2018 09:10 PM - John Diamond
- Due date set to 07/27/2018

due to changes in a related task: #20474

#15 - 07/30/2018 03:11 PM - John Diamond
- Due date set to 07/30/2018

04/26/2021
https://cdcvs.fnal.gov/redmine/issues/20353
https://cdcvs.fnal.gov/redmine/issues/20354
https://cdcvs.fnal.gov/redmine/issues/20355
https://cdcvs.fnal.gov/redmine/issues/20356
https://cdcvs.fnal.gov/redmine/issues/20355
https://cdcvs.fnal.gov/redmine/issues/20355
https://cdcvs.fnal.gov/redmine/issues/20377
https://cdcvs.fnal.gov/redmine/issues/20409
https://cdcvs.fnal.gov/redmine/issues/20437
https://cdcvs.fnal.gov/redmine/issues/20473
https://cdcvs.fnal.gov/redmine/issues/20474

due to changes in a related task: #20483

#16 - 08/03/2018 09:15 AM - John Diamond
- Due date set to 07/30/2018

due to changes in a related task: #19607

#17 - 08/03/2018 09:19 AM - John Diamond
- Due date set to 07/30/2018

due to changes in a related task: #19607

#18 - 08/03/2018 09:23 AM - John Diamond
- Due date set to 07/30/2018

due to changes in a related task: #19607

#19 - 08/07/2018 02:38 PM - John Diamond
- Due date set to 08/07/2018

due to changes in a related task: #20551

#20 - 08/22/2018 08:43 PM - John Diamond
- Due date set to 08/22/2018

due to changes in a related task: #20663

#21 - 08/22/2018 08:45 PM - John Diamond
- Due date set to 08/07/2018

due to changes in a related task: #19607

#22 - 08/22/2018 08:51 PM - John Diamond
- Due date set to 08/22/2018

due to changes in a related task: #20665

#23 - 08/22/2018 09:33 PM - John Diamond
- Due date set to 08/22/2018

due to changes in a related task: #20666
https://cdcvs.fnal.gov/redmine/issues/20483
